Subject: bug#1806: dired-pop-to-buffer in wrong place

From: martin rudalics <[email-masked]>
Date: Sun, 18 Oct 2009 17:34:30 +0200

>>> Yes, such programming should be fixed.  Fixing requires making it
 >>> possible for the application to say what it wants in some other way
 >>> (more precise) than by rebinding those vars.  Things like `same-window'
 >>> is precisely designed for such uses.
 >
 >> I suppose you mean 'same-window as possible value of NOT-THIS-WINDOW
 >> here.  Overriding the values of customized variables is problematic.
 >
 > It would not override settings in special-display-buffer-names.

I just wanted to make sure that with "Things like `same-window'" you do
not intend a (same-window . t) entry in `special-display-buffer-names'.

martin